EM FHPlane

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page EM FHPlane and the translation is 100% complete.
Other languages:
English • ‎français • ‎italiano

EM FHPlane.svg EM FHPlane

Emplacement du menu
EM → FHPlane
Ateliers
EM (Addon)
Raccourci par défaut
E P
Introduit dans la version
0.17
Voir aussi
EM FHNode, EM FHPlaneHole, EM FHPlaneAddRemoveNodeHole


Description

L'outil FHPlane insère un objet plan conducteur uniforme FastHenry.

EM FHPlane Example.png

FastHenry FHPlane


Utilisation

L'objet FHPlane doit être basé sur un autre objet, qui peut être un objet Draft Rectangle ou un objet Part Cube. Si vous avez basé votre FHPlane sur un objet Part Cube, le paramètre Thickness sera hérité de la valeur Box Height.

  1. Créez et sélectionnez un objet Draft Rectangle.svg Draft Rectangle ou un objet Part Box.svg Part Cube.
  2. Appuyez sur le bouton EM FHPlane.svg EM FHPlane ou appuyez sur les touches E puis P.

De plus, vous pouvez également sélectionner conjointement avec l'objet de base (Draft Rectangle ou Part Cube) également un ou plusieurs EM FHNode et/ou un ou plus EM FHPlaneHole qui seront adoptés par le FHPlane:

  1. Créez un objet Draft Rectangle ou Part Box
  2. Créez un ou plusieurs objets EM FHNode.svg EM FHNode
  3. Créez un ou plusieurs objets EM FHPlaneHole.svg EM FHPlaneHole
  4. Sélectionnez l'objet de base, les objets FHNode et les objets FHPlaneHole (pour cette sélection multiple, vous pouvez pointer et cliquer sur les objets dans la vue en arborescence ou dans la vue 3D et pour effectuer une sélection multiple maintenez simplement la touche CTRL enfoncée lors de la sélection).
  5. Appuyez sur le bouton EM FHPlane.svg EM FHPlane ou appuyez sur les touches E puis P.

Remarques

Un objet plan conducteur uniforme FastHenry est formé en posant une ceinture de nœuds (ci-après appelés "nœuds internes") et en connectant les nœuds avec un maillage 2D de segments dans les directions (relatives) X et Y. Des trous sont formés dans le plan en supprimant certains nœuds internes, et donc également les segments qui se connectent à ces nœuds. Pour plus de détails sur les plans conducteurs uniformes FastHenry, consultez le guide de l'utilisateur FastHenry.

  • Comme l'objet FHPlane est basé sur un objet Draft Rectangle ou Part Cube, vous ne pouvez PAS déplacer librement le FHPlane. Le FHPlane sera toujours contraint à l'objet de base. Pour modifier la position du FHPlane, appliquez la modification à l'objet de base sous-jacent (l'objet de base est masqué par défaut, vous pouvez l'afficher à nouveau en sélectionnant l'objet dans l'arborescence et en appuyant sur Espace. L'origine de le FHPlane est l'origine de l'objet de base.
  • Lorsque les objets FHNode sont adoptés par le FHPlane, leurs coordonnées (X, Y, Z) seront faites par rapport à l'origine du FHPlane (ainsi, alors que le FHNode conservera la même position dans l'espace, les coordonnées relatives (X, Y, Z ) du FHNode sera modifié pour être relatif à l'origine du FHPlane). De plus, une fois adoptée, la coordonnée Z du FHNode sera remise à zéro (car les coordonnées sont relatives au FHPlane, la coordonnée Z est la hauteur de l'objet par rapport au plan). Pour cette raison, le nœud ne sera visible que depuis le bas du FHPlane, ou en modifiant la transparence du FHPlane pour voir les FHNodes à travers, ou en masquant complètement le FHPlane. De plus, pour montrer que le FHNode appartient désormais au FHPlane, la couleur du FHNode est modifiée.
  • Lorsque les objets FHPlaneHole sont adoptés par le FHPlane, leurs coordonnées (X, Y, Z) seront établies par rapport à l'origine du FHPlane (ainsi, alors que le FHPlaneHole conservera la même position dans l'espace, les coordonnées relatives (X, Y, Z ) du FHPlaneHole sera modifié pour être relatif à l'origine du FHPlane). De plus, une fois adoptée, la coordonnée Z du FHPlaneHole sera remise à zéro (car les coordonnées sont relatives au FHPlane, la coordonnée Z est la hauteur de l'objet par rapport au plan). Pour cette raison, le nœud ne sera visible que depuis le bas du FHPlane, ou en modifiant la transparence du FHPlane pour voir les FHNodes à travers, ou en masquant complètement le FHPlane. De plus, pour montrer que le FHNode appartient désormais au FHPlane, la couleur du FHNode est modifiée.
  • Si vous souhaitez supprimer les FHNodes ou les FHPlaneHoles du FHPlane ultérieurement, vous pouvez utiliser la commande EM FHPlaneAddRemoveNodeHole.

Propriétés

  • DonnéesBase: l'objet de base sur lequel ce composant est construit (un Draft Rectangle ou un Part Cube)
  • DonnéesThickness: l'épaisseur de FHPlane (paramètre de plan "épais" dans FastHenry). Si le FHPlane est basé sur un Part Cube, cette valeur est héritée du paramètre Part Box Height
  • Donnéesseg1: le nombre de segments le long de la direction de la longueur (paramètre de plan 'seg1' dans FastHenry)
  • Donnéesseg2: le nombre de segments le long de la direction de la largeur (paramètre de plan 'seg2' dans FastHenry)
  • Donnéesnhinc: le nombre de filaments de l'épaisseur du plan (paramètre plan 'nhinc' dans FastHenry)
  • Donnéesrh: le rapport des filaments adjacents le long de l'épaisseur (paramètre du plan 'rh' dans FastHenry)
  • DonnéesSigma: la conductivité FHPlane (paramètre du plan 'sigma' dans FastHenry)
  • Donnéessegwid1: la largeur des segments le long de la direction de la longueur du plan (paramètre plan 'segwid1' dans FastHenry)
  • Donnéessegwid2: la largeur des segments le long de la direction de largeur du plan (paramètre plan 'segwid2' dans FastHenry)
  • DonnéesNodes: la liste des objets FHNode pour les connexions au plan
  • DonnéesHoles: la liste des FHPlaneHoles dans le plan
  • DonnéesFineMesh: spécifie si le maillage fin plan est affiché (c'est-à-dire la composition des segments)
  • DonnéesShowNodes: affiche la grille de nœuds internes supportant le plan (c'est-à-dire les nœuds internes)

Script

Voir aussi : Débuter avec les scripts.

L'outil FHPlane peut-être utilisé dans des macros et depuis la console Python en utilisant la fonction suivante:

plane = makeFHPlane(baseobj=None, thickness=None, seg1=None, seg2=None, nodes=[], holes=[], name='FHPlane')
  • Crée un objet FHPlane.
  • baseobj est l'objet Draft Rectangle ou l'objet Part Cube qui peut être utilisé comme base pour le FHPlane. Si aucun baseobj n'est donné, l'utilisateur doit attribuer un objet de base ultérieurement, pour pouvoir utiliser cet objet.
  • thickness est l'épaisseur du plan. Si baseobj est un Part Cube, ce paramètre est ignoré et la hauteur de Part Cube est utilisée à la place. La valeur par défaut est EMFHPLANE_DEF_THICKNESS.
  • seg1 est un entier définissant le nombre de segments le long de la dimension x du plan (paramètre 'seg1' dans FastHenry).
  • seg2 est un entier définissant le nombre de segments le long de la dimension x du plan (paramètre 'seg2' dans FastHenry).
  • nodes est un tableau d'objets FHNode, spécifiant les nœuds qui seront adoptés par le plan.
  • holes est un tableau d'objets FHPlaneHole, spécifiant les trous qui seront adoptés par le plan.
  • name est le nom de l'objet.


Exemple:

import FreeCAD, Draft, EM

pl = FreeCAD.Placement()
pl.Rotation.Q = (0.0,0.0,0.0,1.0)
pl.Base = FreeCAD.Vector(1.0,1.0,0.0)
rec = Draft.makeRectangle(length=10.0,height=5.0,placement=pl,face=True,support=None)

fhnode1 = EM.makeFHNode(X=1.0,Y=3.5,Z=0)
fhnode2 = EM.makeFHNode(X=8.0,Y=3.5,Z=0)

hole = EM.makeFHPlaneHole(X=6.0,Y=3.5,Z=0.0)

fhplane = EM.makeFHPlane(rect, thickness=1.0, seg1=15, seg2=15, nodes=[fhnode1, fhnode2], holes=[hole])